Bug 145399 - ppp connection reconnects despite PERSIST=no
Summary: ppp connection reconnects despite PERSIST=no
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-01-17 23:43 UTC by Ralph Loader
Modified: 2014-03-17 02:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 00:05:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralph Loader 2005-01-17 23:43:12 UTC
Description of problem:

I have a ppp connection created via system-config-network with
"Restart if connection dies" turned off (corresponds to PERSIST=no in
the config file, I presume).

If the link dies, e.g., I power cycle the modem or unplug and replug
the phone line, then the link gets restarted after about 1 minute.

Version-Release number of selected component (if applicable):

initscripts-8.03-1

How reproducible:

Every time.

Steps to Reproduce:
1.  Configure ppp device with restarting turned off.
2.  Start ppp connection.
3.  Disconnect and reconnect modem, then wait.
  
Actual results:

ppp connection gets restarted.

Expected results:

ppp connection stays down.

Additional info:

Comment 1 Bill Nottingham 2005-01-18 03:50:38 UTC
PERSIST is for whether or not to redial if pppd dies... is pppd dying?

I do assume that 'PERSIST=no' is in the config file.

Comment 2 Ralph Loader 2005-01-22 23:55:50 UTC
Yes PERSIST=no is in the config file:

$ cat /etc/sysconfig/network-scripts/ifcfg-IHug
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
ONBOOT=no
USERCTL=yes
PEERDNS=yes
TYPE=Modem
DEVICE=ppp0
BOOTPROTO=dialup
AC=off
BSDCOMP=off
VJCCOMP=off
CCP=off
PC=off
VJ=off
LINESPEED=115200
MODEMPORT=/dev/ttyS1
PROVIDER=IHug
DEFROUTE=yes
PERSIST=no
PAPNAME=suckfish
WVDIALSECT=IHug
MODEMNAME=Modem0
DEMAND=no

Comment 3 Miloslav Trmač 2006-03-20 14:44:35 UTC
Please replace the line
    exec /sbin/ppp-watch "${CONFIG##ifcfg-}" "$2"
in /etc/sysconfig/network-scripts/ifup-ppp by
    exec strace -o /tmp/ppp-log /sbin/ppp-watch "${CONFIG##ifcfg-}" "$2"

and after reproducing the problem attach the generated /tmp/ppp-log to this
report.

Comment 4 Ralph Loader 2006-03-20 18:05:05 UTC
Unfortunately I no longer have a dial-up connection, so I can't test this
immediately.  I'll see if I can scrounge a modem and dial-up account from somewhere.

Comment 6 Bug Zapper 2008-04-03 15:49:40 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 00:05:35 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.